<?php
$footer_widgets_padding_arr = [
    'padding-top'		=> '50px',
    'padding-bottom'	=> '30px',
    'padding-left'		=> '',
    'padding-right'		=> ''
];

/**
 * widgets
 */
$edumodo_section_footer_widgets_trigger = edumodo_get_theme_mod('edumodo_section_footer_widgets_trigger', '');
$edumodo_section_footer_bg_color = edumodo_get_theme_mod('edumodo_section_footer_widgets_bg_color', '');
$edumodo_section_footer_widgets_text_color = edumodo_get_theme_mod('edumodo_section_footer_widgets_text_color', '');
$edumodo_section_footer_widgets_link_color = edumodo_get_theme_mod('edumodo_section_footer_widgets_link_color', '');
$edumodo_section_footer_widgets_link_hover_color = edumodo_get_theme_mod('edumodo_section_footer_widgets_link_hover_color', '');
// $edumodo_section_footer_widgets_border_color = edumodo_get_theme_mod('edumodo_section_footer_widgets_border_color', '');
$edumodo_section_footer_widgets_padding = edumodo_get_theme_mod('edumodo_section_footer_widgets_padding', $footer_widgets_padding_arr);

/**
 * copyright
 */
$edumodo_section_footer_bottom_trigger = edumodo_get_theme_mod('edumodo_section_footer_bottom_trigger', '');
$edumodo_footer_copyright_color = edumodo_get_theme_mod('edumodo_footer_copyright_color', '');
$edumodo_section_footer_bottom_bg_color = edumodo_get_theme_mod('edumodo_section_footer_bottom_bg_color', '');
/**
 * Social
 */
$edumodo_section_footer_social_enable = edumodo_get_theme_mod('edumodo_section_footer_social_enable', '');
$edumodo_section_footer_social_section_bg_color = edumodo_get_theme_mod('edumodo_section_footer_social_section_bg_color', '');
$edumodo_section_footer_social_text_color = edumodo_get_theme_mod('edumodo_section_footer_social_text_color', '');
$edumodo_section_footer_social_hover_color = edumodo_get_theme_mod('edumodo_section_footer_social_hover_color', '');
$edumodo_section_footer_social_bg_color = edumodo_get_theme_mod('edumodo_section_footer_social_bg_color', '');
$edumodo_section_footer_social_bg_hover_color = edumodo_get_theme_mod('edumodo_section_footer_social_bg_hover_color', '');


?>
<style>

	/* widgets */
	<?php if('on' == $edumodo_section_footer_widgets_trigger): ?>
		section.footer {background-color: <?php echo $edumodo_section_footer_bg_color; ?>;}
		section.footer, section.footer .widget-title, section.footer .edumodo-quickinfo i {color: <?php echo $edumodo_section_footer_widgets_text_color; ?>;}
		section.footer a, section.footer .widget ul li a, section.footer .widget ul li:before {color: <?php echo $edumodo_section_footer_widgets_link_color; ?>;}
		section.footer a:hover, section.footer .widget ul li:hover a, section.footer .widget ul li:hover:before {color: <?php echo $edumodo_section_footer_widgets_link_hover_color; ?>;}
		section.footer {padding: <?php echo $edumodo_section_footer_widgets_padding['padding-top'].' '.$edumodo_section_footer_widgets_padding['padding-right'].' '.$edumodo_section_footer_widgets_padding['padding-bottom'].' '.$edumodo_section_footer_widgets_padding['padding-left']; ?>;}
	<?php endif; ?>

	/* copyright */
	<?php //if('on' == $edumodo_section_footer_bottom_trigger): ?>
		.copyright {background-color: <?php echo $edumodo_section_footer_bottom_bg_color; ?>;}
		.copyright .edumodo-credit-wrapper{color: <?php echo esc_attr($edumodo_footer_copyright_color); ?>;}
	<?php //endif; ?>

	/* social */
	<?php if('on' == $edumodo_section_footer_social_enable): ?>
		.footer-middle, .footer-middle .footer-middle-row {background: <?php echo esc_attr($edumodo_section_footer_social_section_bg_color); ?>;}
		.footer-middle .footer-middle-row{border:none;}
		.edumodo-footer-social a {color: <?php echo esc_attr($edumodo_section_footer_social_text_color); ?>;}
		.copyright .social-icon a {color: <?php echo esc_attr($edumodo_section_footer_social_text_color); ?>;}
		.edumodo-footer-social a:hover {color: <?php echo esc_attr($edumodo_section_footer_social_hover_color); ?>;}
		.copyright .social-icon a:hover {color: <?php echo esc_attr($edumodo_section_footer_social_hover_color); ?>;}
		.edumodo-footer-social a {background-color: <?php echo esc_attr($edumodo_section_footer_social_bg_color); ?>;}
		.edumodo-footer-social a:hover {background-color: <?php echo esc_attr($edumodo_section_footer_social_bg_hover_color); ?>;}
	<?php endif; ?>
</style>
<?php

?>